Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 62921 - Mozilla-launcher handles exitcodes from the program wrong
Summary: Mozilla-launcher handles exitcodes from the program wrong
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-05 05:51 UTC by Martin Parm
Modified: 2005-03-16 05:37 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
return correct exit code when the browser binary fails (mozilla-launcher-retval-fix.patch,457 bytes, patch)
2004-12-15 17:58 UTC, Ivan Todoroski
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Parm 2004-09-05 05:51:31 UTC
Mozilla-launcher handles exitcodes from the program (mozilla, firefox, thunderbird, whatever) wrong.

-----[ snippet from /usr/libexec/mozilla-launcher ]-------
  # Will only wait here if browser was started by this script
  if ! wait; then
    retval=$?
    echo "${mozbin##*/} exited with non-zero status ($?)" >&2
  fi
-----[ snippet from /usr/libexec/mozilla-launcher ]-------

In bash 'wait' just waits for all children to exit and then return. However this loses the exitcode from the childrin. 'wait $pid' what's for a specific child and sets it's exitcode in $?. This is the behaviour we want.

Reproducible: Always
Steps to Reproduce:
1.# thunderbird
2.# kill -9 `pidof thunderbird-bin` 
3.

Actual Results:  
mozilla-launcher exists silently

Expected Results:  
mozilla-launcher should display a message like : 
"thunderbird-bin exited with non-zero status (137)"
Comment 1 Martin Parm 2004-09-05 05:54:12 UTC
The bug is fixed in the patch for bug 62916.
Comment 2 Ivan Todoroski 2004-12-15 17:58:47 UTC
Created attachment 46091 [details, diff]
return correct exit code when the browser binary fails

This bug is still present in mozilla-launcher-1.23.

It breaks the XFCE help launcher, when you try to run help nothing happens,
because the launcher thinks things went ok when they didn't.

The solution is based on the retval fix in the patch for bug 62916, which
contains some more things and doesn't apply cleanly anymore.

The fix is trivial, please update this package.
Comment 3 Aron Griffis (RETIRED) gentoo-dev 2005-03-16 05:37:11 UTC
Fixed in mozilla-launcher-1.26